# warehouse_level_scripts.bsl
#
# LEVEL LOGIC
#
# IAMMA BATTLE MOD  1.0 BETA2 BY MATTEOIAMMA - WWW.MATTEOIAMMARRONE.COM
# ITALIAN.ONI2.NET - ONIGAME.ALTERVISTA.ORG 1.0 BETA 2 - SI RINGRAZIA
# FABIO BUONO PER I TEST
########################### START & SAVE ##############################
var int outro_has_started = 0;
var int count_alarm;
var int count_end_striker = 0;
var int count_end_console = 0;
var int td;
var int ns;
var int in_t64;
var int d6;
var int ul5;


# music #

func void music_train1(void)
{
	sound_music_start atm_gr06 0
	sound_music_volume atm_gr06 0.7 3.0
#	stopped by moving into combat rooms
}

func void music_train2(void)
{
	sound_music_start atm_ft68 0
	sound_music_volume atm_ft68 0.75 3.0
#	stopped by moving into firing range
}

func void music_train3(void)
{
	sound_music_start mus_amasian 0
	sound_music_volume mus_amasian 0.75 3.0
#	stopped by using last review console
}

func void music_firstfight(void)
{
	sound_music_start mus_ambgrv1 0
	sound_music_volume mus_ambgrv1 0.75 3.0
#	stopped by intro_enemies thug die or hurt scripts
}

func void music_timer(void)
{
	sound_music_start mus_chase 0
	sound_music_volume mus_chase 0.75 3.0
#	stopped in end_console or end_striker
}

func void music_stop(void)
{
	dprint STOP_THE_MUSIC
	sound_music_volume atm_gr06 0.0 2.0
	sound_music_stop atm_gr06
	sound_music_volume atm_ft68 0.0 2.0
	sound_music_stop atm_ft68
	sound_music_volume mus_amasian 0.0 2.0
	sound_music_stop mus_amasian
	sound_music_volume mus_ambgrv1 0.0 2.0
	sound_music_stop mus_ambgrv1
	sound_music_volume mus_chase 0.0 3.0
	sound_music_stop mus_chase
}



func void level_start(void){


       chr_giveweapon 0 w5_sbg 
chr_ultra_mode 0
ai2_spawn Mid2_Striker_2
chr_teleport Mid2_Striker_2 7006
ai2_spawn Bay4_Comguy_1    
chr_teleport Bay4_Comguy_1 7006
	ai2_spawn Top_Striker_1
        chr_teleport Top_Striker_1 7006
	ai2_spawn WH_Thug_A 
        chr_teleport WH_Thug_A 7006

ai2_spawn demo3
chr_teleport demo3 7006
chr_changeteam demo3 konoko


	dmsg "[g. Iamma Battle Mod 1.0 - by matteoiamma - italian.oni2.net] - After killing the enemies go to the green console
"

	sleep 200


}

func void group1(void)
{
	#Create opponents
	dmsg "Team 1"
	ai2_spawn demo1
	chr_teleport demo1 7014
	ai2_dopath demo1
	ai2_setjobstate demo1
	chr_changeteam demo1 Syndicate
	ai2_spawn demo2
	chr_teleport demo2 7014
	ai2_dopath demo2
	ai2_setjobstate demo2
	chr_changeteam demo2 Syndicate
	chr_givepowerup demo3 invis
	ai2_attack demo1 0
	ai2_attack demo2 0
        music_train1
	timer_start 15 group2
}

func void group2(void)
{
	#Create opponents
	dmsg "Team 2"
	ai2_spawn Mid_Thug_2   
	ai2_spawn Mid_Thug_1
	chr_teleport Mid_Thug_2 7014
	ai2_dopath Mid_Thug_2
	ai2_setjobstate Mid_Thug_2
	chr_changeteam Mid_Thug_2 Syndicate
	chr_teleport Mid_Thug_1 7014
	ai2_dopath Mid_Thug_1
	chr_giveweapon Mid_Thug_1 w2_sap 
	chr_giveweapon Mid_Thug_2 w2_sap 
	ai2_setjobstate Mid_Thug_1
	chr_changeteam Mid_Thug_1 Syndicate
	chr_givepowerup demo3 invis
        music_train2
	timer_start 15 group3
}

func void group3(void)
{
	#Create opponents
	dmsg "Team 3"
	ai2_spawn WH_Thug_A   
	ai2_spawn WH_Striker_B
	chr_teleport WH_Thug_A 7014
	ai2_dopath WH_Thug_A
	ai2_setjobstate WH_Thug_A
	chr_changeteam WH_Thug_A Syndicate
	chr_teleport WH_Striker_B 7006
	ai2_dopath WH_Striker_B
	ai2_setjobstate WH_Striker_B
	chr_changeteam WH_Striker_B Syndicate
	ai2_spawn WH_Striker_C   
	ai2_spawn WH_Striker_D
	ai2_active WH_Striker_A
	ai2_active WH_Striker_B
	ai2_active WH_Striker_C
	ai2_active WH_Striker_D
	chr_teleport WH_Striker_C 7014
	ai2_dopath WH_Striker_C
	ai2_setjobstate WH_Striker_C
	chr_changeteam WH_Striker_C Syndicate
	chr_teleport WH_Striker_D 7014
	ai2_dopath WH_Striker_D
	ai2_setjobstate WH_Striker_D
	chr_changeteam WH_Striker_D Syndicate
	ai2_attack WH_Striker_A 0
	ai2_attack WH_Striker_B 0
	ai2_attack WH_Striker_C 0
	ai2_attack WH_Striker_D 0
	chr_nocollision WH_Striker_A 0
	chr_nocollision WH_Striker_B 0
	chr_nocollision WH_Striker_C 0
	chr_nocollision WH_Striker_D 0
	chr_givepowerup demo3 invis
        music_firstfight
	timer_start 10 group4
}

func void group4(void)
{
	#Create opponents
	dmsg "Team 4"
	ai2_spawn Top_Thug_3   
	ai2_spawn Top_Thug_5
	chr_teleport Top_Thug_3 7014
	ai2_dopath Top_Thug_3
	ai2_setjobstate Top_Thug_3
	chr_teleport Top_Thug_5 7014
	ai2_dopath Top_Thug_5
	ai2_setjobstate Top_Thug_5
	chr_giveweapon Top_Thug_5 w2_sap 
	chr_giveweapon Top_Thug_3 w2_sap
	chr_givepowerup demo3 invis
        chr_changeteam Top_Thug_3 Syndicate
        chr_changeteam Top_Thug_5 Syndicate
	timer_start 10 group5
}

func void group5(void)
{
	#One door open
	dmsg "Team 5"
	#Create opponents
	ai2_spawn Mid2_Striker_2   
	ai2_spawn Alarm_Bay4_Striker_1
        ai2_spawn Barabus
        chr_teleport Barabus 7006
        ai2_dopath barabus
	chr_teleport Mid2_Striker_2 7006
	ai2_dopath Mid2_Striker_2
	ai2_setjobstate Alarm_Bay4_Striker_1
	chr_teleport Alarm_Bay4_Striker_1 7006
	ai2_dopath Alarm_Bay4_Striker_1
	ai2_setjobstate Mid2_Striker_2
	chr_givepowerup demo3 invis
	ai2_attack Mid2_Striker_2 0
	ai2_attack Alarm_Bay4_Striker_1 0
	timer_start 5 group6
}

func void group6(void)
{

	#Create opponents
	door_close 99
	ai2_spawn Bay5_Thug_1   
	ai2_spawn  Bay5_Thug_2
	chr_teleport Bay5_Thug_1 7006
	ai2_dopath Bay5_Thug_1
	ai2_setjobstate Bay5_Thug_1
	chr_teleport  Bay5_Thug_2 7006
	ai2_dopath  Bay5_Thug_2
	ai2_setjobstate  Bay5_Thug_2
	ai2_spawn ambush_striker
	chr_nocollision ambush_striker 0
	chr_nocollision Bay5_Thug_2 0
	chr_nocollision Bay5_Thug_1 0
	chr_teleport ambush_striker 7006
	chr_givepowerup demo3 invis
	ai2_comehere ambush_striker
	ai2_comehere Bay5_Thug_2
	ai2_comehere Bay5_Thug_1

	sleep 40


	door_unlock 98 
        particle door1_locklight02 do start

	sleep 200

}
    


func void console_jump(string ai_name)
{
console_throw
}



func void console_throw(string ai_name)
{
	#Console 14

	ai2_takecontrol 1

	sound_music_start atm_low1 1

	cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
	dmsg "[b. Konoko: Griffin, tell me!]"
	sleep f300
	cinematic_stop (KONintense, 20, 20)

	cinematic_start (GRIFtalkangry, 180, 180, 16, 3, 20, true)
	dmsg "[g. Griffin: The game is over, back to make a good girl!]"
	sleep f300
	cinematic_stop (GRIFtalkangry, 15, 20)

	cinematic_start (SHINnametag, 180, 180, 15, 1, 20, false)
	dmsg "[y. Shinatama: Konoko, give up!!]"
	sleep f300
	cinematic_stop (SHINnametag, 15, 20)

	cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
	dmsg "[b. Konoko: Shinatama!?? Too?]"
	sleep f300
	cinematic_stop (KONintense, 20, 20)

	cinematic_start (SHINnametag, 180, 180, 15, 1, 20, false)
	dmsg "[y. Shinatama: Konoko! Give up now if you love life!!!]"
	sleep f300
	cinematic_stop (SHINnametag, 15, 20)

	cinematic_start(KONangry, 180, 180, 15, 3, 10, false)
	dmsg "[b. Konoko: I will never surrender!!]"
	sleep f300
	cinematic_stop (KONangry, 16, 20)

	cinematic_start(KERRsomber, 180, 180, 15, 3, 10, false)
	dmsg "[b. Kerr: Konoko, help me!! They are torturing me]"
	sleep f300
	cinematic_stop (KERRsomber, 16, 20)

        cinematic_start(KONscared, 180, 180, 15, 3, 10, false)
	dmsg "[b. Konoko: Noooooo]"
	sleep f300
	cinematic_stop (KONscared, 16, 20)

	ai2_takecontrol 0


	chr_set_health 0 500




	#Spawn final Oponents
	ai2_spawn OutroTCTF01 
	ai2_spawn OutroTCTF02    
	ai2_spawn Final_Thug_3 
	ai2_spawn Final_Thug_5
	chr_nocollision OutroTCTF01 0
	chr_nocollision OutroTCTF02 0
	chr_nocollision Final_Thug_3 0
	chr_nocollision Final_Thug_5 0
	chr_givepowerup OutroTCTF01 cell 2
	chr_givepowerup Final_Thug_3 ammo
	chr_teleport OutroTCTF01 7014
	chr_teleport OutroTCTF02 7014
	chr_teleport Final_Thug_3 7014
	chr_teleport Final_Thug_5 7014
	chr_set_health OutroTCTF01 100
	chr_set_health OutroTCTF02 100
	chr_set_health Final_Thug_3 50
	chr_set_health Final_Thug_5 50
        chr_changeteam OutroTCTF01 Syndicate
        chr_changeteam OutroTCTF02 Syndicate
	ai2_spawn griffin
	chr_teleport griffin 7014
	ai2_dopath griffin
	ai2_setjobstate griffin
	chr_changeteam griffin Syndicate
	chr_boss_shield griffin
	chr_giveweapon griffin w8_mbo
	chr_givepowerup griffin cell 5
	chr_givepowerup griffin ammo 5
	chr_givepowerup griffin invis
	ai2_spawn shinatama
	chr_teleport shinatama 7014
	ai2_dopath shinatama
	ai2_setjobstate shinatama
	chr_changeteam shinatama Syndicate
	chr_boss_shield shinatama
	chr_giveweapon shinatama w8_mbo
	chr_givepowerup shinatama cell 5
	chr_givepowerup shinatama ammo 5
	chr_givepowerup shinatama invis
	chr_nocollision griffin 0
	chr_nocollision shinatama 0
	chr_set_health griffin 800
	chr_set_health shinatama 500
	chr_ultra_mode griffin
	chr_ultra_mode shinatama
	sleep 500
	ai2_comehere griffin
	ai2_comehere shinatama

	
	chr_wait_health shinatama 0
	dmsg "[g. Good work, now kill Griffin.]"
	sleep 200

	chr_wait_health griffin 0

        ai2_spawn barabus
	chr_teleport barabus 7014
	ai2_dopath barabus
	ai2_setjobstate barabus
	chr_boss_shield barabus
        
        chr_wait_health barabus 0
     
        ai2_takecontrol 1

	cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
        dmsg "[b. Konoko: WON!!.]"
	sleep 400
	cinematic_stop (KONintense, 20, 20)


 

	sleep 200
	outro
	sleep 500

	#console_reset 14

	
} 



func void review(string ai_name)
{
	
}

func void review2(string ai_name)
{
	begin_cutscene
	
	#AMBIENTE PER LA BATTAGLIA INIZIALE
	sound_music_start mus_amasian 1
	ai2_boss_battle = 1
	weapon_spawn w1_tap 7006 
	weapon_spawn w3_phr 7006
	weapon_spawn w6_vdg 7006
	weapon_spawn w6_vdg 7006
	weapon_spawn w6_vdg 7006

	sleep 300

	end_cutscene
	#NEMICI BATTAGLIA INZIALE
	ai2_spawn secret2
	ai2_spawn Mid2_Striker_1
	chr_teleport secret2 7006
	chr_teleport Mid2_Striker_1 7006
	ai2_attack Bay6_Striker_1b demo3
	ai2_attack secret2 0
	chr_givepowerup demo3 invis 
	chr_givepowerup demo3 shield 100
	timer_start 15 group1
	 
}

func void you_lose(string ai_name)
{
	sleep 240
	fade_out 0 0 0 180 
	sleep 240
	lose
}

func void
outro(
	void)
{
	begin_cutscene
	#slowmo
	#weird particle effect
	sleep f120
	chr_animate 0 KONOKOendpowerup
	sleep f120
	cm_interpolate EndCam 600
	sound_ambient_volume mc_dish_loop 1.0 4.0
	sleep f500
	fade_out 0 0 0 120
	sleep f120
	win
}